=== debian/changelog ===
gatling (0.12-2) unstable; urgency=low

  * Plain and TLS version linked dynamically
  * Use debhelper instead of cdbs

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 Dec 2010 18:09:54 +0100

gatling (0.12-1) unstable; urgency=low

  * New upstream release (Closes: #568039)

 -- Vedran Furač <vedran.furac@gmail.com>  Sat, 14 Aug 2010 15:05:14 +0200

gatling (0.11-1) unstable; urgency=low

  * Initial release (Closes: #568039)

 -- Vedran Furač <vedran.furac@gmail.com>  Sun, 07 Feb 2010 20:20:35 +0100
