=== debian/control ===
Source: gatling
Section: net
Priority: optional
Maintainer: Vedran Furač <vedran.furac@gmail.com>
Uploaders: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 7.0.50), libowfat-dev, procps, zlib1g-dev, libssl-dev
Standards-Version: 3.9.1
Homepage: http://www.fefe.de/gatling/

Package: gatling
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a high performance web server
 Features:
    * Small! (125k static Linux-x86 binary with HTTP, FTP and SMB support)
    * Fast! (measure for yourself, please)
    * Scalable!
    * Uses platform-specific performance and scalability APIs
    * connection keep-alive
    * IPv6 support
    * transparent content negotiation
    * With optional directory index generation
    * Will only serve world readable files
    * Supports FTP and FTP upload as well
    * CGI support for HTTP, also SCGI and FastCGI (over IP sockets)
    * .htaccess support
    * Can detect some common mime types itself, like file(1)
    * Read-only SMB support
