=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make DIET= gatling bench tlsgatling

override_dh_auto_install:
	cp -a bench gatlingbench
	cp -a bench.1 gatlingbench.1
	cp -a gatling.1 tlsgatling.1
