## gatling 0.12cvs20111112

=== debian/changelog ===
gatling (0.12cvs20111112-3) unstable; urgency=low

  * Fixed patch header of 05-manpage-dotfiles.patch

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Nov 2011 22:44:48 +0100

gatling (0.12cvs20111112-2) unstable; urgency=low

  * Included dotfile handling documentation into manpage, thanks to
    Benjamin Valentin (Closes: #649636)

 -- Roland Stigge <stigge@antcom.de>  Sun, 27 Nov 2011 22:12:24 +0100

gatling (0.12cvs20111112-1) unstable; urgency=low

  * New upstream CVS snapshot, including many bugfixes
  * Removed patches that are already present in upstream
  * Added ptlsgatling (PolarSSL version) in addition to tlsgatling
    (OpenSSL version), adding necessary build-dependencies

 -- Roland Stigge <stigge@antcom.de>  Sat, 12 Nov 2011 19:44:26 +0100

gatling (0.12-9) unstable; urgency=low

  * /etc/logrotate.d/gatling: Ignore errors on non-running daemon

 -- Roland Stigge <stigge@antcom.de>  Sun, 28 Aug 2011 20:11:22 +0200

gatling (0.12-8) unstable; urgency=low

  * Fixed /etc/logrotate.d/gatling: Group nobody -> adm

 -- Roland Stigge <stigge@antcom.de>  Mon, 15 Aug 2011 13:41:52 +0200

gatling (0.12-7) unstable; urgency=low

  * Added patch to fix setrlimit() bug (0 file descriptors available on
    VServers where EUID == 0, but no arbitrary setrlimit() allowed
  * Fixed init.d script output (missing newline)
  * debian/rules: Set -DSUPPORT_HTTPS for all objects in tlsgatling and
    separate out tlsgatling to separate "make" call (Closes: #634096)
  * Added writelog.c to provide a logrotatable alternative to former
    logsave from e2fsprogs
  * Added /etc/logrotate.d/gatling
  * Added CHANGES
  * Added patch from upstream CVS:
    - 08-fix-double-close-fd.patch from http.c rev 1.32

 -- Roland Stigge <stigge@antcom.de>  Sat, 13 Aug 2011 20:44:08 +0200

gatling (0.12-6) unstable; urgency=low

  * Integrated ranges and FastCGI bugfixes from upstream (Closes: #636361)

 -- Roland Stigge <stigge@antcom.de>  Wed, 03 Aug 2011 21:56:23 +0200

gatling (0.12-5) unstable; urgency=low

  * Fixed debian/watch
  * Added /etc/init.d/gatling and /etc/default/gatling
  * Added default index.html, adapted from apache 2 package
  * Added postinst and postrm to add/remove default index.html
  * Added download tool "dl" as /usr/bin/gatling-dl

 -- Roland Stigge <stigge@antcom.de>  Sat, 16 Jul 2011 13:43:39 +0200

gatling (0.12-4) unstable; urgency=low

  * Removed temporary fix for tlsgatling since libowfat is a shared lib now

 -- Roland Stigge <stigge@antcom.de>  Sat, 09 Jul 2011 22:02:18 +0200

gatling (0.12-3) unstable; urgency=low

  * Added README.php from upstream to binary package
  * debian/control: Standards-Version: 3.9.2

 -- Roland Stigge <stigge@antcom.de>  Sun, 03 Jul 2011 15:41:11 +0200
