## gatling 0.12cvs20120114

=== debian/changelog ===
gatling (0.12cvs20120114-4) stable; urgency=medium

  *  PolarSSL was updated to 1.2.9 in DSA 2782 (due to security fixes which
     were not backportable to the older releases). Version 1.2.0 introduces
     several non-backwards-compatible API changes (fully mentioned here:
     https://polarssl.org/tech-updates/releases/polarssl-1.2.0-released
     - Rename cipher suites names
     - Remove call to removed ssl_set_scb() function, TLS session cache is
       handled internally. Also remove the functions my_get_session() and
       my_set_session() used for that and adapt the ssl_set_session() call.
     Thanks to Moritz Mühlenhoff for the patch (Closes: #736318)

 -- Roland Stigge <stigge@antcom.de>  Tue, 28 Jan 2014 21:18:43 +0100

gatling (0.12cvs20120114-3) unstable; urgency=low

  * Adding two patches for path traversal vulnerabilities (FTP, HTTP).
    Backport fixes from upstream 0.13. Thanks to Jann Horn! (Closes: #693076)

 -- Roland Stigge <stigge@antcom.de>  Mon, 12 Nov 2012 22:11:35 +0100

gatling (0.12cvs20120114-2) unstable; urgency=low

  * Adding two patches to fix CGI POST uploads

 -- Roland Stigge <stigge@antcom.de>  Sun, 22 Jan 2012 17:51:40 +0100

gatling (0.12cvs20120114-1) unstable; urgency=low

  * New upstream CVS snapshot
    - Fixes PolarSSL usage (Closes: #655777)
  * Adding patch to fix bad polarssl usage (wrong argument order of
    md5_finish)

 -- Roland Stigge <stigge@antcom.de>  Sat, 14 Jan 2012 14:25:43 +0100
