=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Vedran Furač <vedran.furac@gmail.com>
 Uploaders: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 7.0.50), libowfat-dev, procps, zlib1g-dev, libssl-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50), libowfat-dev, procps, zlib1g-dev, libssl-dev, libpolarssl-dev (>= 1.0.0-2)
+Standards-Version: 3.9.2
 Homepage: http://www.fefe.de/gatling/
 
 Package: gatling
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: a high performance web server
+Description: high performance web server and file server
  Features:
-    * Small! (125k static Linux-x86 binary with HTTP, FTP and SMB support)
-    * Fast! (measure for yourself, please)
-    * Scalable!
+    * Small (125k Linux-x86 binary with HTTP, FTP and SMB support)
+    * Fast (measure for yourself, please)
+    * Scalable
     * Uses platform-specific performance and scalability APIs
     * connection keep-alive
     * IPv6 support
