=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

writelog: writelog.c
	$(CC) $(CFLAGS) -Wall -o $@ $<

override_dh_auto_build: writelog
	make DIET= ptlsgatling
	mv ptlsgatling ptlsgatling.BACKUP
	make clean
	make DIET= tlsgatling
	mv tlsgatling tlsgatling.BACKUP
	make clean
	make DIET= gatling bench dl
	mv tlsgatling.BACKUP tlsgatling
	mv ptlsgatling.BACKUP ptlsgatling
	cp -a bench gatling-bench
	cp -a bench.1 gatling-bench.1
	cp -a dl gatling-dl
	cp -a dl.1 gatling-dl.1
	cp -a gatling.1 tlsgatling.1
	cp -a gatling.1 ptlsgatling.1

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

# empty targets
override_dh_auto_install:
