## gatling 0.13

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 LDFLAGS=-s -L../libowfat/ -lowfat
 
 OBJS=mime.o ftp.o http.o smb.o common.o connstat.o
-HTTPS_OBJS=mime.o ftp.o https.o smb.o common.o connstat.o
+HTTPS_OBJS=mime.o ftp.c https.o smb.c common.c connstat.o
 
 $(OBJS) https.o gatling.o: gatling.h version.h gatling_features.h
 
@@ -67,6 +67,7 @@
 	$(CC) -o $@ matchiprange.o $(LDFLAGS)
 
 gatling.o: version.h gatling.h havesetresuid.h
+tlsgatling ptlsgatling: havesetresuid.h libsocket libiconv libcrypt
 
 version.h: CHANGES
 	(head -n 1 CHANGES | sed 's/\([^:]*\):/#define VERSION "\1"/') > version.h
