=== debian/changelog ===
gatling (0.13-6) unstable; urgency=medium

  * Added 10-mbedtls.patch to switch from polarssl to mbedtls,
    thanks to James Cowgill (Closes: #808059)
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Sat, 16 Jan 2016 16:13:21 +0100

gatling (0.13-5) unstable; urgency=low

  * Fix FTBFS by adjusting to new polarssl API (Closes: #728625)

 -- Roland Stigge <stigge@antcom.de>  Mon, 04 Nov 2013 21:29:38 +0100

gatling (0.13-4) unstable; urgency=low

  * Integrate new upstream version 0.13 into unstable, fixes build issue
    (Closes: #707370)

 -- Roland Stigge <stigge@antcom.de>  Thu, 09 May 2013 15:51:14 +0200

gatling (0.13-3) experimental; urgency=low

  * Fix symbol lookup error via versioned dependency on libowfat
    (Closes: #704697)

 -- Roland Stigge <stigge@antcom.de>  Fri, 05 Apr 2013 11:26:50 +0200

gatling (0.13-2) experimental; urgency=low

  * debian/control: Build-Depends: libpolarssl-dev (>= 1.2.0-1)

 -- Roland Stigge <stigge@antcom.de>  Sun, 04 Nov 2012 14:45:22 +0100

gatling (0.13-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 03 Nov 2012 15:47:03 +0100

gatling (0.12cvs20120601-1) unstable; urgency=low

  * New upstream release
    - Removed 04-fix-ptlsgatling-usage.patch, fixed upstream now

 -- Roland Stigge <stigge@antcom.de>  Sat, 02 Jun 2012 19:00:17 +0200
