=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Vedran Furač <vedran.furac@gmail.com>
 Uploaders: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 7.0.50), libowfat-dev, procps, zlib1g-dev, libssl-dev, libpolarssl-dev (>= 1.0.0-2)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libowfat-dev (>= 0.29-2), procps, zlib1g-dev, libssl-dev, libmbedtls-dev
+Standards-Version: 3.9.6
 Homepage: http://www.fefe.de/gatling/
 
 Package: gatling
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libowfat0 (>= 0.29-2)
 Description: high performance web server and file server
  Features:
     * Small (125k Linux-x86 binary with HTTP, FTP and SMB support)
