=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,15 @@
 #!/usr/bin/make -f
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
 	dh $@
 
 writelog: writelog.c
-	$(CC) $(CFLAGS) -Wall -o $@ $<
+	$(CC) $(CFLAGS) $(LDFLAGS) -Wall -o $@ $<
 
 override_dh_auto_build: writelog
 	make DIET= ptlsgatling
